Name:           htop
Version:        0.6.6
Release:        %mkrel 3
Summary:        Interactive text-mode process viewer for Linux
License:        GPL
Group:          Monitoring
URL:            http://htop.sourceforge.net/
Source0:        http://ovh.dl.sourceforge.net/htop/htop-%{version}.tar.gz
BuildRequires:  desktop-file-utils
BuildRequires:  ncurses-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
htop is an interactive process viewer for Linux, similar to top.
It requires ncurses. Tested with Linux 2.4 and 2.6.

Some advantages over top:

* you can scroll the list vertically and horizontally to see
  all processes and complete command lines
* htop starts faster than top
* you don't need to type the process number to kill a process
* you don't need to type the process number or the priority value to
  renice a process
* htop supports mouse operation

%prep
%setup -q

%build
%{configure2_5x}
%{make}

%install
rm -rf %{buildroot}
%{makeinstall}

desktop-file-install --vendor="" \
  --add-category="System" \
  --add-category="Monitor" \
  --remove-key="Path" \
  --remove-key="Version" \
  --remove-category="Application" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


%clean
rm -rf %{buildroot}

%post
%{update_menus}
                
%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README AUTHORS NEWS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*
%{_mandir}/man1/%{name}.*



%changelog
* Sat Sep 29 2007 Emmanuel Andry <eandry@mandriva.org> 0.6.6-3mdv2008.0
+ Revision: 93905
- rebuild for bad signature (bug #34248)

* Sun Sep 16 2007 Emmanuel Andry <eandry@mandriva.org> 0.6.6-2mdv2008.0
+ Revision: 88672
- drop old menu
- make desktop file validation pass

* Sat Jun 02 2007 David Walluck <walluck@mandriva.org> 0.6.6-1mdv2008.0
+ Revision: 34416
- 0.6.6
- use pristine tarball
- FIXME: menu icon is not in the package
- replace $RPM_BUILD_ROOT with %%{buildroot}
- fix mixture of tabs and spaces
- replace menu needs incorrect terminal with text


* Wed Nov 29 2006 Emmanuel Andry <eandry@mandriva.org> 0.6.5-1mdv2007.0
+ Revision: 88781
- New version 0.6.5

* Mon Nov 13 2006 Thomas Backlund <tmb@mandriva.org> 0.6.2-2mdv2007.1
+ Revision: 83867
- rebuild because of breakage due to ncurses rollbackthat got rolled back
- fix desktop file generation

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - import htop-0.6.2-1mdk

